
:root {
  --gradient-top-color: #0384fc;
  --gradient-bottom-color: #000000;
  --title-shadow-color: #8e8e8e;
  --description-shadow-color: #636363;
  --button-shadow-color: #000000;
  --top-content-padding: calc(min(20vw, 150px));
  --mid-content-padding: max(20vh, var(--top-content-padding));
}

html, body {
  position: relative;
  height: 100%;
  width: 100%;
  overflow: hidden;
  margin: 0;
  left: 0;
  top: 0;
}

body {
  background-color: var(--gradient-top-color); /* if gradients aren't supported */
  background-attachment: fixed;
  overscroll-behavior: none;
}

/* weird hack but needed for mobile gradient to work (see https://stackoverflow.com/questions/26372127/background-fixed-no-repeat-not-working-on-mobile) */
body:before {
  content: "";
  display: block;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -10;
  background-image: linear-gradient(var(--gradient-top-color), var(--gradient-bottom-color));
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  background-repeat: no-repeat;

  /*
  animation-timing-function: ease-out;
  animation-name: background-fade;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  */
}

.background-animation:before {
  animation-timing-function: ease-out;
  animation-name: background-fade;
  animation-duration: 1s;
}
@keyframes background-fade {
  0% {
    background-position-y: 250px;
  }
  100% {
    background-position-y: 0px;
  }
}

.noselect { /* disable text selection */
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently supported by Chrome, Opera and Firefox */
}
.select { /* disable text selection */
  -webkit-touch-callout: text; /* iOS Safari */
  -webkit-user-select: text; /* Safari */
  -khtml-user-select: text; /* Konqueror HTML */
  -moz-user-select: text; /* Old versions of Firefox */
  -ms-user-select: text; /* Internet Explorer/Edge */
  user-select:  text; /* Non-prefixed version, currently supported by Chrome, Opera and Firefox */
}


::-webkit-scrollbar {
  width: 12px;
}
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.9);
  background: rgb(93, 113, 125, 0.8);
  border-radius: 10px;

  /* Clip scrollbar so that it aligns better with div's border radius */
  background-clip: content-box;
  margin-top: 4px;
  margin-bottom: 4px;
}
::-webkit-scrollbar-thumb {
  -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
  background: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
}


#header {
  text-decoration: none;
  z-index: 50;
  height: 150px;
  display: none;
  font-size: calc(min(18vw, 130px));
  font-family: "Ubuntu Mono";
  line-height: normal;
  font-weight: bold;
}
.fade-in-header{
  animation-name: fade-in-header;
  animation-duration: 1.5s;
}
@keyframes fade-in-header {
  0% {
    /* padding-top: 10vh; */
    opacity: 0;
  }
  100% {
    /* padding-top: 0vh; */
    opacity: 1;
  }
}
.fade-out-header{
  animation-name: fade-out-header;
  animation-duration: 1.2s;
}
@keyframes fade-out-header {
  0% {
    /* padding-top: 0vh; */
    opacity: 1;
  }
  100% {
    /* padding-top: 10vh; */
    opacity: 0;
  }
}

.center-container {
  /* position: fixed; /* or absolute */
  position: fixed;
  height: 100vh;
  width: 100vw;
  display: flex;
  justify-content: center;
  overflow: auto;
}

.center-box {
  position: fixed; /* or absolute */
  width: 1100px;
  max-width: 90%;
  text-align: center;

  /* height: 100vh; */
  /*height: 80vh; */
  
  display: flex;
  justify-content: center;
  overflow: hidden;
  
  overscroll-behavior: none;
  max-height: 80%;
  padding-top: 10%;
  padding-bottom: 10%;
}
.fade-in-top {
  /*animation-timing-function: ease-out;*/
  animation-name: fade-in-top;
  animation-duration: 1.2s;
}
@keyframes fade-in-top {
  0% {
    padding-top: 0vh;
    opacity: 0;
  }
  100% {
    padding-top: var(--top-content-padding);
    opacity: 1;
  }
}
.fade-in-middle {
  /*animation-timing-function: ease-out;*/
  animation-name: fade-in-middle;
  animation-duration: 1.2s;
}
@keyframes fade-in-middle {
  0% {
    padding-top: 2vh;
    opacity: 0;
  }
  100% {
    padding-top: var(--mid-content-padding);
    opacity: 1;
  }
}

.fade-out-top {
  animation-name: fade-out-top;
  animation-duration: 1s;
}
@keyframes fade-out-top {
  0% {
    padding-top: var(--top-content-padding);
    opacity: 1;
  }
  100% {
    padding-top: 0vh;
    opacity: 0;
  }
}
.fade-out-middle {
  animation-name: fade-out-middle;
  animation-duration: 1s;
}
@keyframes fade-out-middle {
  0% {
    padding-top: var(--mid-content-padding);
    opacity: 1;
  }
  100% {
    padding-top: 2vh;
    opacity: 0;
  }
}

.freeze-animation {
  animation-play-state: paused;
}
.apply-animation {
  animation-play-state: running;
  animation-fill-mode: forwards; /* This keeps the last frame at the end of the animation - prevents the animation from snapping back to the start when it ends. */
}

.paragraph {
  text-align: left;
}


.title-text {
  margin: 0;
  color: white;
  text-shadow: 2px 2px 5px var(--title-shadow-color);

  /* font-family: "Ubuntu Mono", cursive; */
  font-size: 130px;
  font-family: "Ubuntu Mono";
  line-height: normal;
}


.description-text {
  font-size: 18px;
  /*color: #444;*/
  text-shadow: 3px 3px 6px var(--description-shadow-color);
  color: white;
  margin: 0;
  font-family: "Open Sans";
  margin-bottom: 20px;
}


.buttons-container {
  margin-top: 20px;
  text-align: center;
}

.button-wrapper {
  display: inline-block;
  /* width: 160px;
  height: 100px; */
  padding: 0;
  margin: 0 20px;
  vertical-align: middle
}

.button-link {
  display: block;
  text-decoration: none;
  text-align: center;
  width: 100%;
  height: 100%;
}

.button-body {
  display: table-cell;
  vertical-align: middle;

  /* padding-left: 40px;
  padding-right: 40px;
  padding-top: 35px;
  padding-bottom: 42px; */
  background-color: #5893c5;
  color: white;
  cursor: pointer;
  box-shadow: 2px 2px 8px var(--button-shadow-color);
  /* border: 2px solid #427ef5; */
  border: none;
  transition: 0.2s;
  text-align: center;

  border-radius: 5px;

  width: 225px;
  height: 125px;
}
.button-body:focus {
  outline: 0;
}
.button-body:hover {
  box-shadow: 5px 5px 12px var(--button-shadow-color);
  transform: translate(-3px, -3px);
}
.button-body:active, .button-body.active {
  background-color: #5893c5;
  box-shadow: 0px 0px 4px var(--button-shadow-color);
  transform: translate(3px, 3px);
}

.button-body p{
  margin: auto;
  font-display: block;
  font-family: "Open Sans";
  font-size: 18px;
  /* line-height: 95px; */
}


/* --- Styling For Mobile --- */
@media (max-device-width: 700px), (max-width: 700px) {
  .center-box {
    width: auto;
    max-width: 100%;
  }

  .title-text {
    font-size: 17vw;
  }

  .description-text {
    font-size: 3.5vw;
    max-width: 80%;
    margin: auto;
  }

  .button-wrapper {
    display: block;
    width: 40vw;
    height: 15vw;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3vh;
  }
  .button-body {
    font-size: 4.5vw;
    line-height: 14vw;
    text-align: center;
  }

  .buttons-container {
    margin-top: 50px;
  }

  .center-box {
    animation-duration: 0.8s;
  }
  @keyframes fade-in {
    0% {
      /*transform: translateY(-200%);*/
      padding-top: 0vh;
      opacity: 0;
    }
    100% {
      /* transform: translateY(-100%); */
      padding-top: 15vh;
      opacity: 1;
    }
  }
}
